aboutsummaryrefslogtreecommitdiffstats
path: root/testing/attica/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-05-09 13:59:06 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2011-05-09 13:59:06 -0500
commitf39c3e55f4228ff456957c41b39a76771d8d19c1 (patch)
tree122a69a90e240ca827f75e7e840247fcb269454d /testing/attica/APKBUILD
parente0cd0c5f19b08d0912c8ea163be66d1accf9760c (diff)
downloadaports-f39c3e55f4228ff456957c41b39a76771d8d19c1.tar.gz
aports-f39c3e55f4228ff456957c41b39a76771d8d19c1.tar.bz2
aports-f39c3e55f4228ff456957c41b39a76771d8d19c1.tar.xz
testing/attica: new aport
Diffstat (limited to 'testing/attica/APKBUILD')
-rw-r--r--testing/attica/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/attica/APKBUILD b/testing/attica/APKBUILD
new file mode 100644
index 0000000000..460b511ada
--- /dev/null
+++ b/testing/attica/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=attica
+pkgver=0.2.0
+pkgrel=0
+pkgdesc="freedesktop OCS binding for Qt"
+url="http://www.kde.org/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="qt-dev"
+makedepends="$depends_dev cmake automoc4"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp.kde.org/pub/kde/stable/attica/attica-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/attica-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir -p "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="df3dcea0229cfa31539bdd427976e15b attica-0.2.0.tar.bz2"